Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portlet
Class JBossRenderResponse

    java.lang.Object
      javax.portlet.filter.PortletResponseWrapper
          org.jboss.portlet.JBossRenderResponse

All Implemented Interfaces:
  javax.portlet.MimeResponse, javax.portlet.PortletResponse, javax.portlet.RenderResponse

    public class JBossRenderResponse

extends javax.portlet.filter.PortletResponseWrapper
implements javax.portlet.RenderResponse

Version:
  $Revision: 10309 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface javax.portlet.MimeResponse
`CACHE_SCOPE, ETAG, EXPIRATION_CACHE, MARKUP_HEAD_ELEMENT, NAMESPACED_RESPONSE, PRIVATE_SCOPE, PUBLIC_SCOPE, USE_CACHED_CONTENT`

Constructor Summary
`JBossRenderResponse(javax.portlet.RenderResponse portletResponse)`

Method Summary
`javax.portlet.PortletURL` | `createActionURL()`
`PortalNodeURL` | `createActionURL(PortalNode node)`
`javax.portlet.PortletURL` | `createRenderURL()`
`PortalNodeURL` | `createRenderURL(PortalNode node)`
`javax.portlet.ResourceURL` | `createResourceURL()`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`javax.portlet.CacheControl` | `getCacheControl()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentType()`
`java.util.Locale` | `getLocale()`
`java.io.OutputStream` | `getPortletOutputStream()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `setBufferSize(int arg0)`
`void` | `setContentType(java.lang.String arg0)`
`void` | `setNextPossiblePortletModes(java.util.Collection<javax.portlet.PortletMode> arg0)`
`void` | `setTitle(java.lang.String arg0)`

Methods inherited from class javax.portlet.filter.PortletResponseWrapper
`addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, getResponse, setProperty, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, setProperty`

Constructor Detail

### JBossRenderResponse

    public JBossRenderResponse(javax.portlet.RenderResponse portletResponse)

Method Detail

### createActionURL

    public PortalNodeURL createActionURL(PortalNode node)
                                  throws java.lang.IllegalArgumentException,
                                         java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### createRenderURL

    public PortalNodeURL createRenderURL(PortalNode node)
                                  throws java.lang.IllegalArgumentException,
                                         java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### setContentType

    public void setContentType(java.lang.String arg0)

  Specified by:
    `setContentType` in interface `javax.portlet.MimeResponse`
  Specified by:
    `setContentType` in interface `javax.portlet.RenderResponse`

### setNextPossiblePortletModes

    public void setNextPossiblePortletModes(java.util.Collection<javax.portlet.PortletMode> arg0)

  Specified by:
    `setNextPossiblePortletModes` in interface `javax.portlet.RenderResponse`

### setTitle

    public void setTitle(java.lang.String arg0)

  Specified by:
    `setTitle` in interface `javax.portlet.RenderResponse`

### createActionURL

    public javax.portlet.PortletURL createActionURL()

  Specified by:
    `createActionURL` in interface `javax.portlet.MimeResponse`

### createRenderURL

    public javax.portlet.PortletURL createRenderURL()

  Specified by:
    `createRenderURL` in interface `javax.portlet.MimeResponse`

### createResourceURL

    public javax.portlet.ResourceURL createResourceURL()

  Specified by:
    `createResourceURL` in interface `javax.portlet.MimeResponse`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Specified by:
    `flushBuffer` in interface `javax.portlet.MimeResponse`
  Throws:
    `java.io.IOException`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.portlet.MimeResponse`

### getCacheControl

    public javax.portlet.CacheControl getCacheControl()

  Specified by:
    `getCacheControl` in interface `javax.portlet.MimeResponse`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.portlet.MimeResponse`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.portlet.MimeResponse`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.portlet.MimeResponse`

### getPortletOutputStream

    public java.io.OutputStream getPortletOutputStream()
                                                throws java.io.IOException

  Specified by:
    `getPortletOutputStream` in interface `javax.portlet.MimeResponse`
  Throws:
    `java.io.IOException`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Specified by:
    `getWriter` in interface `javax.portlet.MimeResponse`
  Throws:
    `java.io.IOException`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.portlet.MimeResponse`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.portlet.MimeResponse`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.portlet.MimeResponse`

### setBufferSize

    public void setBufferSize(int arg0)

  Specified by:
    `setBufferSize` in interface `javax.portlet.MimeResponse`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD